edu.isi.pegasus.planner.refiner

## Interface Refiner

All Known Subinterfaces:
  Refiner

All Known Implementing Classes:
  AbstractRefiner, BalancedCluster, Basic, Bundle, Chain, Cluster, DataReuseEngine, Empty, Horizontal, InterPoolEngine, MultipleFTPerXFERJobRefiner, SingleFTPerXFERJobRefiner

    public interface Refiner

A first cut at a separate refiner interface. Right now it only has method required for the PASOA integration.

Version:
  $Revision$
Author:
  Karan Vahi

### Field Summary

Fields
`static java.lang.String` `VERSION` The version of the API.

### Method Summary

All Methods Instance Methods Abstract Methods
`ADag` `getWorkflow()` Returns a reference to the workflow that is being refined by the refiner.
`XMLProducer` `getXMLProducer()` Returns a reference to the XMLProducer, that generates the XML fragment capturing the actions of the refiner.

### Field Detail

#### VERSION

    static final java.lang.String VERSION

The version of the API.

See Also:
  Constant Field Values

### Method Detail

#### getWorkflow

    ADag getWorkflow()

Returns a reference to the workflow that is being refined by the refiner.

Returns:
  ADAG object.

#### getXMLProducer

    XMLProducer getXMLProducer()

Returns a reference to the XMLProducer, that generates the XML fragment capturing the actions of the refiner. This is used for provenace purposes.

Returns:
  XMLProducer